/**
 * Copyright © CENRA (2016)
 *
 * remi.clement@espaces-naturels.fr
 * 
 * This software is a multi-platform and portable application based on 
 * the scientifical toolbox to monitor wetlands. With this toolbox it’s 
 * possible to calculate indicators «RhoMéO» to monitor quality, 
 * fonctionalities and urban and agricultural pressures of wetlands. 
 * Indicators are calculated using naturalist data entered and/or imported,
 * and geographic data downloaded from a geographic server.
 * 
 * This software is governed by the CeCILL license under French law and
 * abiding by the rules of distribution of free software.  You can  use, 
 * modify and/ or redistribute the software under the terms of the CeCILL
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info". 
 * 
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability. 
 * 
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or 
 * data to be ensured and,  more generally, to use and operate it in the 
 * same conditions as regards security. 
 * 
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL license and that you accept its terms.
*/
package fr.cenra.rhomeo.protocol.p06;

import fr.cenra.rhomeo.core.list.CodeValue;

/**
 *
 * @author Alexis Manin (Geomatys)
 */
public enum Habitat implements CodeValue {
    _1("1", "--- Petits bassins et écoulements (permanents) des sources ---"),
    _2("1a", "Zones des sources - Sources de plaine"),
    _3("1b", "Zones des sources - Sources d'altitude"),
    _4("2", "Ruisselets/ruisseaux fermés"),
    _5("3", "Rivières à eaux vives"),
    _6("4a", "Grands cours d’eau vifs - Cours principal des grands cours d’eau vifs"),
    _7("4b", "Grands cours d’eau vifs - Annexes perturbées avec flux entrant par l’amont"),
    _8("4c", "Grands cours d’eau vifs - Annexes perturbées avec flux rétrograde par l’aval"),
    _9("4d", "Grands cours d’eau vifs - Annexes peu perturbées avec flux rétrograde par l’aval"),
    _10("5a", "Grands cours d’eau calmes - Cours principal des grands cours d’eau calmes"),
    _11("5b", "Grands cours d’eau calmes - Annexes lentes ou stagnantes perturbées"),
    _12("5c", "Grands cours d’eau calmes - Annexes lentes ou stagnantes peu perturbées"),
    _13("5d", "XXXXX"),
    _14("5f", "XXXXX"),
    _15("6", "Canaux navigables"),
    _16("7", "Fossés alimentés"),
    _17("8", "Suintements"),
    _18("9", "--- Petits étangs, mares, fossés, annexes hydrauliques stagnantes ---"),
    _19("9a", "Milieux temporaires de plaine"),
    _20("9b", "Milieux temporaires d'altitude"),
    _21("10", "--- Mares, abreuvoirs, lavoirs, lavognes anciennes ---"),
    _22("10a", "Mares ouvertes - Mares pauvres en végétation aquatique"),
    _23("10b", "Mares ouvertes - Mares avec présence de végétation aquatique"),
    _24("11", "Mares fermées"),
    _25("12", "Milieux saumâtres"),
    _26("13", "Milieux artificiels"),
    _27("14", "Etangs «naturels» ouverts (annexes comprises)"),
    _28("15a", "Etangs «naturels» fermés (annexes comprises) - Absence de queues tourbeuses et ceinture d’hélophyte haute"),
    _29("15b", "Etangs «naturels» fermés (annexes comprises) - Absence de queues tourbeuses et ceinture d’hélophyte basse"),
    _30("15c", "Etangs «naturels» fermés (annexes comprises) - Présence de queues tourbeuses"),
    _31("16", "Marais de plaine"),
    _32("17", "Tourbières acides de plaine"),
    _33("18", "--- Tourbières acides d'altitude ---"),
    _34("18a", "Tourbières acides d’altitude - avec présence de surfaces significatives d’eau libre"),
    _35("18b", "Tourbières acides d’altitude - Tourbières acides avec gouilles seulement"),
    _36("19", "Milieux stagnants d’altitude"),
    _37("20", "Lacs et grands réservoirs"),
    _38("21", "Rivières d’altitude"),
    _39("22", "Rivières méditerranéennes"),
    _40("23", "Ruisselets/ruisseaux ouverts"),
    _41("24", "Rivières à eaux calmes"),
    _42("25", "Milieux aquatiques cultivés"),
    _43("27", "Bassins lagunaires"),
    _44("29", "Prairies humides");

    public final String code;
    public final String value;

    private Habitat(String code, String value) {
        this.code = code;
        this.value = value;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getValue() {
        return value;
    }

    @Override
    public String toString() {
        return new StringBuilder(code).append(' ').append(value).toString();
    }
}
